Package picard.sam.markduplicates

## Enum CheckDuplicateMarking.Mode

- java.lang.Object
- - java.lang.Enum<CheckDuplicateMarking.Mode>
  - - picard.sam.markduplicates.CheckDuplicateMarking.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<CheckDuplicateMarking.Mode>`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`
  Enclosing class:
    CheckDuplicateMarking

      public static enum CheckDuplicateMarking.Mode
      extends Enum<CheckDuplicateMarking.Mode>
      implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `PRIMARY_MAPPED_ONLY` |
    `PRIMARY_ONLY` |
    `PRIMARY_PROPER_PAIR_ONLY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHelpDoc()` |
    `static CheckDuplicateMarking.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CheckDuplicateMarking.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final CheckDuplicateMarking.Mode ALL

    - #### PRIMARY_ONLY

          public static final CheckDuplicateMarking.Mode PRIMARY_ONLY

    - #### PRIMARY_MAPPED_ONLY

          public static final CheckDuplicateMarking.Mode PRIMARY_MAPPED_ONLY

    - #### PRIMARY_PROPER_PAIR_ONLY

          public static final CheckDuplicateMarking.Mode PRIMARY_PROPER_PAIR_ONLY

  - ### Method Detail

    - #### values

          public static CheckDuplicateMarking.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckDuplicateMarking.Mode c : CheckDuplicateMarking.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckDuplicateMarking.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHelpDoc

          public String getHelpDoc()

      Specified by:
        `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`